package config

type Configuration struct {
	Workspace    string
	Repositories []RepositoryConfig
}

type RepositoryConfig struct {
	Name string `yaml:",omitempty"`
	Src  string
	Dest string   `yaml:",omitempty"`
	Tags []string `yaml:",omitempty"`
	Skip bool
}

type CliArguments struct {
	ConfigurationFile string
	Sync              bool
	Status            bool
	Version           bool
	Color             bool
	LimitToName       string
	LimitToTags       []string
	Routines          int
	IgnoreSkipped     bool
}
